Bug 1582640 (CVE-2018-11468) - CVE-2018-11468 discount: heap-based buffer over-read __mkd_trim_line function in mkdio.c
Summary: CVE-2018-11468 discount: heap-based buffer over-read __mkd_trim_line function...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-11468
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1582641 1582642
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-25 20:04 UTC by Pedro Sampaio
Modified: 2019-09-29 14:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:26:42 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2018-05-25 20:04:29 UTC
The __mkd_trim_line function in mkdio.c in libmarkdown.a in DISCOUNT 2.2.3a allows remote attackers to cause a denial of service (heap-based buffer over-read) via a crafted file.

Upstream issue:

https://github.com/Orc/discount/issues/189

Comment 1 Pedro Sampaio 2018-05-25 20:04:48 UTC
Created discount tracking bugs for this issue:

Affects: fedora-all [bug 1582641]


Note You need to log in before you can comment on or make changes to this bug.